> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Image

<Note>
  **OAuth scope:** `memberships_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml openapi/membership.json POST /open-api/v1.1/memberships/images
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/images:
    post:
      tags:
        - Resources
      summary: Create Image
      operationId: create-image
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                byteSize:
                  type: integer
                checksum:
                  type: string
              required:
                - byteSize
                - checksum
              openapi: true
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.V1.Resource.Image.Google.Create'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_write
        - basicAuth: []
components:
  schemas:
    Response.V1.Resource.Image.Google.Create:
      type: object
      properties:
        uploadData:
          type: object
          properties:
            url:
              type: string
            headers:
              type: object
              properties:
                content-MD5:
                  type: string
                content-Disposition:
                  type: string
                cache-Control:
                  type: string
              required:
                - content-MD5
                - content-Disposition
                - cache-Control
              example:
                content-MD5: 7vJP+O8buKShZwMbdl7wJQ==
                content-Disposition: >-
                  inline; filename="7c8f5486-7841-4890-841f-53a3ebe2b445";
                  filename*=UTF-8''7c8f5486-7841-4890-841f-53a3ebe2b445
                cache-Control: public, max-age=2592000
            signedId:
              type: string
          required:
            - url
            - headers
            - signedId
        resourceId:
          type: integer
      required:
        - uploadData
        - resourceId
      title: Create
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````